html, body {
    height: 100%;
}

.home-wrapper {
    height: 100%;
    /*background: url(./images/pbg.jpg) 0% 0% / 100% no-repeat;*/
    /*background: url(./images/pbg7.png) 0% 0% / 100% no-repeat;*/
}
.home-wrapper-body .unitName {
    display: block;
    margin-bottom: 12px;
    padding-top: 12px;
    font-weight: 700;
    color: #fff;
    font-size: 36px;
}
.home-wrapper-body .home-wrapper-search {
    min-width: 1100px;
    width: 80%;
    margin: 0 auto;
    height: 180px;
}
.home-wrapper-body .search-group .input-group {
    width: 50%;
    background-color: #2673bc;
    padding: 2px;
    border-radius: 6px;
}
.home-wrapper-body .search-group .input-group input {
    height: 50px;
    font-size: 20px;
    border-radius: 6px;
    border: 0;
}
.home-wrapper-body .search-group .input-group button {
    height: 50px;
    background-color: #2673bc;
    color: #fff;
    border: 0;
    font-size: 22px;
    padding: 6px 18px;
}
.home-wrapper-body .home-wrapper-service,
.home-wrapper-body .home-search-box {
    min-width: 1100px;
    width: 80%;
    margin: 0 auto 40px auto;
}
.home-wrapper-body .home-wrapper-service .hw-service-box {
    background: #fff;
    -webkit-box-shadow: 0 4px 20px 0 rgb(226 234 242 / 50%);
    box-shadow: 0 4px 20px 0 rgb(226 234 242 / 50%);
    border-radius: 8px;
    padding: 24px 40px;
}
.home-wrapper-body .hw-service-top {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid rgb(231, 237, 241);
}
.home-wrapper-body .hw-service-top:not(:first-child) {
    margin-top: 12px;
}
.home-wrapper-body .hw-service-top-l {
    display: flex;
}
.home-wrapper-body .hw-service-top-l>div {
    cursor: pointer;
    font-size: 18px;
    line-height: 30px;
    color: rgba(16,38,69,0.6);
    padding: 10px;
    -webkit-transition: border-bottom-color .3s;
    transition: border-bottom-color .3s;
    position: relative;
}
.home-wrapper-body .hw-service-top-l>div.active {
    color: #102645;
}
.home-wrapper-body .hw-service-top-l>div:hover {
    color: #102645;
}
.home-wrapper-body .hw-service-top-l>div.active:after {
    content: "";
    display: block;
    position: absolute;
    bottom: -2px;
    left: 0;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: all .2s linear;
    transition: all .2s linear;
    width: 100%;
    height: 1px;
    background: #2E8CF0;
}
.home-wrapper-body .hw-service-top-r {
    display: flex;
    align-items: center;
}
.home-wrapper-body .hw-service-top-r>div {
    padding: 10px;
}
.home-wrapper-body .hw-service-top-r>div.active:after {
    content: "";
    display: block;
    position: absolute;
    bottom: -2px;
    left: 0;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: all .2s linear;
    transition: all .2s linear;
    width: 100%;
    height: 1px;
    background: #2E8CF0;
}
.home-wrapper-body .hw-service-top-r>div:not(:first-child) {
    color: rgba(16,38,69,0.6);
    cursor: pointer;
    border-radius: 4px;
    position: relative;
}
.home-wrapper-body .hw-service-top-r>div:not(:first-child):hover {
    -webkit-transition: all .2s linear .1s;
    transition: all .2s linear .1s;
    background: #E5F0EB !important;
    color: #2E8CF0 !important;
}
.home-wrapper-body .hw-service-top-r img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
}
.home-wrapper-body .hw-service-app {
    display: flex;
    align-items: center;
    width: 204px;
    padding: 17px 0;
    border-radius: 4px;
    cursor: pointer;
    margin-bottom: 12px;
}
.home-wrapper-body .hw-service-app:hover {
    -webkit-transition: all .2s linear .1s;
    transition: all .2s linear .1s;
    background: #E5F0EB !important;
    color: #2E8CF0 !important;
}
.home-wrapper-body .hw-service-app-img img {
    width: 45px;
    min-width: 45px;
    max-width: 45px;
    height: 45px;
    margin: 0 8px 0 12px;
}
.home-wrapper-body .hw-service-apps {
    display: grid;
    justify-content: space-evenly;
    grid-template-columns: repeat(5, 204px);
    padding-top: 12px;
}
.hw-service-app-name {
    margin-right: 12px;
    flex-grow: 1;
}
.hw-service-app-star {
    display: flex;
    justify-content: flex-start;
    font-size: 12px;
    color: #666;
}
.hw-service-app-star>div {
    margin-right: 12px;
}
.hw-service-category {
    display: grid;
    justify-content: space-evenly;
    grid-template-columns: repeat(auto-fill, 248px);
}
.hw-service-category .hw-service-c {
    width: 248px;
}
.home-wrapper-body .hw-service-info {
    position: relative;
    text-align: center;
    padding: 37px 0 20px;
    width: 248px;
    margin-top: 20px;
    border-radius: 4px;
    border: 2px dotted #d6dade;
    cursor: pointer;
}
.home-wrapper-body .hw-service-c img {
    height: 50px;
    width: 50px;
    margin-bottom: 10px;
}
.home-wrapper-body .hw-service-c h3 {
    font-size: 18px;
    color: #102645;
    margin-bottom: 5px;
    padding: 0 40px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.home-wrapper-body .hw-service-c-desc {
    font-size: 14px;
    color: rgba(16,38,69,.6);
    padding: 0 40px;
}
.home-wrapper-body .hw-service-info:hover {
    -webkit-transition: all .2s linear .1s;
    transition: all .2s linear .1s;
    background: #E5F0EB !important;
}


#appDescModal .modal-lg{
    width: 1200px;
}
#appDescModal .modal-header{
    height: 80px;
}
#appDescModal .modal-body{
    padding:0
}
#appDescModal .modal-body .appDescModal-desc{
    padding: 15px 25px 15px 40px;
}
#appDescModal .modal-body .addDescModal-share{
    height: 500px;
    border-left:1px solid #ccc;
    padding: 15px 40px 15px 25px;
}
.addDescModal-share .addDescModal-share-r-line {
    border: 1px dashed #ccc;
    margin: 0;
    width: 50%;
    display: inline-block;
}
#appDescModal .modal-footer{
    height: 80px;
}
.rating-sm{
    font-size: 1.8em;
    display: inline-block;
}
.rating-container .caption{
    margin-top: 0;
}
.home-wrapper .alert
, .home-wrapper .alert-login
, .home-wrapper .alert-share
, .home-wrapper .alert-comment
, .home-wrapper .alert-comment-success
, .home-wrapper .alert-cancel-collection
, .home-wrapper .alert-favorites-success {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    min-width: 300px;
    max-width: 600px;
    transform: translate(-50%, -50%);
    z-index: 99999;
    text-align: center;
    padding: 15px;
    border-radius: 3px;
    background-color: #fcf8e3;
    border-color: #faebcc;
}
.home-wrapper .hw-service-col {
    display: none;
}
.search-wrap .search-body-app-info {
    margin-left: 10px;
}
.hw-service-apps .skeleton-app {
    width: 80%;
    height: 79px;
    margin: 0 8px 12px 12px;
    border-radius: 8px;
}
.hw-service-category .skeleton-category {
    padding: 37px 0 20px;
    width: 248px;
    margin: 20px 14px 0 14px;
    border-radius: 8px;
    height: 185px;
}





.skeleton {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 40px;
}
.skeleton::before {
    content: '';
    position: absolute;
    background: linear-gradient(
            90deg,
            transparent,
            rgba(255, 255, 255, 0.9),
            transparent
    );
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    animation: loading 1s infinite; /** opacity 2s ease infinite; */
}
@keyframes loading {
    0% {
        background-size: 300% 100%;
        background-image: linear-gradient(100deg, #eee 40%, #fff 50%, #eee 60%);
        background-position: 100% 50%;
    }
    100% {
        background-size: 300% 100%;
        background-image: linear-gradient(100deg, #eee 40%, #fff 50%, #eee 60%);
        background-position: 0 50%;
    }
}
.theme-krajee-svg .clear-rating, .theme-krajee-svg .rating-stars{
    font-size: 16px;
}